﻿.page-table-container{
    min-height: 75px;
    overflow-y: scroll;
    width: 100%;
    max-width: 100vw;
    border: solid 1px rgb(204, 204, 204);
    overflow-x: hidden;
}

.page-table-container.table-container-large {
    height: 90%;
}

.page-table-container.table-container-auto {
    height: auto;
}

.thead-container {
    overflow-y: scroll;
    width: 100%;
    max-width: 100vw;
    border-right: solid 1px rgb(204, 204, 204);
    border-left: solid 1px rgb(204, 204, 204);
}

.page-table {
    width: 100%;
    max-width: 100%;
    margin-top: 0;
    table-layout: fixed;
}

/*.page-table thead{
    width: 100%;
    background-color: rgb(246, 246, 246);
}*/
.thead-display-table{
    width: 100%;
    max-width: 100%;
    margin: 0;
    table-layout: fixed;
}

.page-table-head-display{
    width: 100%;
    background-color: rgb(246, 246, 246);
}

.page-table-header {
    width: 100%;
    height: 0px;
    visibility: hidden;
}

.page-table-header tr{
    height: 0px;
    padding: 0;
}

.page-table-header th{
    height: 0px;
    padding: 0 2px 0 2px;
}

th.sortable:hover {
    background-color: rgb(253, 245, 206);
    cursor: pointer;
}


/*.page-table th {
    border: solid 1px rgb(204, 204, 204);
    padding: 2px 5px 2px 5px;
    font-size: 13px;
    font-weight: 700;
    color: rgb(28, 148, 196);
    overflow: hidden;
    text-align: center;
    width: auto;
}*/

.page-table-head-display th, .sub-table th {
    border: solid 1px rgb(204, 204, 204);
    border-right: none;
    padding: 2px;
    font-size: 8pt;
    font-weight: bold;
    color: rgb(28, 148, 196);
    overflow: hidden;
    text-align: center;
    width: auto;
}

.page-table th.ptc-xxs, .page-table-head-display th.ptc-xxs {
    width: 20px;
}

.page-table th.ptc-xs, .page-table-head-display th.ptc-xs {
    /*width: 50px;*/
    width: 5%;
}

.page-table th.ptc-s, .page-table-head-display th.ptc-s {
    /*width: 75px;*/
    width: 8%;
}

.page-table th.ptc-m, .page-table-head-display th.ptc-m {
    width: 10%;
}

.page-table th.ptc-l, .page-table-head-display th.ptc-l {
    width: 13%;
}

.page-table th.ptc-xl, .page-table-head-display th.ptc-xl {
    width: 16%;
}

.page-table tbody{
    background-color: white;
}
.page-table td {
    border: solid 1px rgb(204, 204, 204);
    font-size: 7.5pt;
    padding: 2px;
    white-space: nowrap;
    overflow: hidden;
}

.page-table td.cell-align-center {
    text-align: center;
}

.page-table td.cell-align-right {
    text-align: right;
}

@media (max-width: 600px){
    .pt-collapse{
        display: none;
    }
}

.page-table-loader{
    width: 30%;
    background-color: rgb(246, 246, 246);
    text-align: center;
    border: solid 2px rgb(28, 148, 196);
    box-shadow: 5px 5px 15px #888888;
    position: absolute;
    right: 35%;
    top: 40%;
    z-index: 2;
    padding: 5px;
}

.page-table-loader #result-loading {
    font-size: 15px;
    color: #fbcb09;
}

.result-table tbody tr:hover {
    cursor: pointer;
    background-color: rgb(253, 245, 206);
} 

tr.selected-row{
    background-color: rgb(253, 245, 206);
}

.page-change:hover {
    cursor: pointer;
}